Package pyplusplus :: Package function_transformers :: Module controllers :: Class virtual_mem_fun_controller_t

# type virtual_mem_fun_controller_t

source code

           object --+
                    |
    controller_base_t --+
                        |
                       virtual_mem_fun_controller_t

Nested Classes
override_fun_controller_t
default_fun_controller_t

Instance Methods

__init__(self, function) | source code

apply(self, transformations) asks all transformations to configure the controller | source code

Properties
| override_controller
| default_controller
Inherited from `controller_base_t`: `function`

Method Details

### __init__(self, function)
(Constructor)

source code

Overrides: controller_base_t.__init__

### apply(self, transformations)

source code

asks all transformations to configure the controller

Overrides: controller_base_t.apply
  (inherited documentation)

Property Details

### override_controller

### default_controller